# FTP upload

An action block that uploads content to an FTP server.

The fiber will pause until the upload has completed.

The final directory level of local path may contain glob patterns.

## Input arguments

- Host or IP address — hostname or IP address of FTP server.
- Port — remote port, default is 21 or 990 for FTPS.
- Log in account — name of generic credentials account used for log in, default is anonymous.
- Control encoding — charset used when sending commands, default is UTF-8.
- Connection security — whether to use a secure TLS/SSL connection (FTPS).
- Certificate — whether to trust insecure, self-signed, certificates, ignored unless FTPS.
- Data channel protection — data channel protection level (PROT), ignored unless FTPS, default is Clear.
- Local path — local path of content to upload.
- Remote path — remote path to place uploaded content, path is normalized.
- Recursive — whether to recursively upload directories and all their content.